# SkyPvP Skript 🚀

**SkyPvP** — это динамичный и соревновательный скрипт для Minecraft PvP-серверов, работающий с **Skript**, **PlaceholderAPI** и **Vault**.  
Подходит для режима «последний выживший», арен с хаотичными эффектами, системой Elo, престижами и ставками.  
Идеально для захватывающих боёв на выживание! 🏟️

> **Версия**: 1.3.7  
> **Автор**: Zorahm  
> **Зависимости**: Skript, PlaceholderAPI, Vault

---

## ✨ Особенности

### 🎮 Основной геймплей
- **Чистый старт**: очищение инвентаря, здоровье и сытость восстанавливаются, телепортация в лобби (`269.5, 118.0, 135.5`)
- **Механика победы**: автообъявление последнего выжившего, начисление Elo и монет, публичное сообщение
- **Контроль PvP**: отключено по умолчанию, включается только в бою
- **Дроп с убийств**:
  - 🍏 50% — Золотое яблоко  
  - ⚡ 30% — Жемчуг Эндера  
  - ✨ 5% — Зачарованное золотое яблоко  
  - 🏹 3% — Улучшенный лук (Сила II, Бесконечность)

### 🎲 Хаотичные эффекты
- `/random_effects on` — включение случайных эффектов (права `skypvp.admin`)
- Более 30 эффектов: Левитация, Тошнота, Скорость и др.
- `/random_effects off` — отключение

### 📊 Elo и ранги
- Ранги: от **Бездушный (<500)** до **Легенда (2500+)**
- `/ranks` — список рангов и текущий
- Управление Elo: `/elo give/take`
- Награды за убийства с учётом престижа

### 💰 Магазин и экономика
- `/addshop` — купить и сохранить предмет
- `/shopitems_add` — добавить предмет в магазин игрока
- Интеграция с **Vault**: победы и убийства приносят монеты

### 🎰 Система ставок
- `/bet <сумма> [игрок]` — сделать ставку
- Выигрыш удваивается, проигрыш — потеря ставки
- 1 ставка за игру, игрок должен участвовать

### 🏆 Достижения
- Примеры: "Первое убийство", "Смертельный выстрел", "Серия из 5 убийств"
- Награды: `+150 монет`, `+10 Elo`
- `/achievements [игрок]` — просмотр прогресса

### 🌟 Престиж-система
- `/prestige` — переход на новый престиж (2500+ Elo)
- До 10 престижей
- Эффекты: сброс статистики, множитель наград (до x2), бонус монет

### 🌍 Управление границей
- `/border_set <размер>` — задать размер
- `/border_shrink <размер> <время>` — сжать границу
- `/border_stop` — остановить сужение
- `/border_reset` — сброс до 10 000 блоков  
> **Центр карты**: `(9, -54, 12)`

### 📜 Статистика и помощь
- `/stats [игрок]` — убийства, смерти, K/D, Elo, баланс, престиж
- `/help` — команды для игроков
- `/help-admin` — команды для админов

---

## 📦 Установка

1. Убедитесь, что установлены:
   - [Skript](https://github.com/SkriptLang/Skript)
   - [PlaceholderAPI](https://www.spigotmc.org/resources/placeholderapi.6245/)
   - [Vault](https://www.spigotmc.org/resources/vault.34315/)
2. Скопируйте файл `skypvp.sk` в папку:  
   `plugins/Skript/scripts/`
3. Перезагрузите скрипт:  
   ```bash
   /sk reload skypvp.sk
   ```
4. При необходимости настройте координаты в коде (лобби, центр границы и арены)

---

## 🔧 Команды

### 👥 Для игроков

| Команда                          | Описание                                 |
|----------------------------------|------------------------------------------|
| `/stats [игрок]`                | Просмотр статистики                      |
| `/bet <сумма> [игрок]`          | Сделать ставку                           |
| `/ranks`                        | Список рангов и текущий                  |
| `/achievements [игрок]`         | Прогресс достижений                      |
| `/prestige`                     | Переход на следующий престиж            |
| `/prestige_info`                | Информация о престиже                   |
| `/help`                         | Общая справка                            |

### 🛠️ Для администраторов

| Команда                             | Описание                                |
|-------------------------------------|-----------------------------------------|
| `/startgame`                        | Запуск игры                             |
| `/random_effects on/off`           | Вкл/выкл хаотичные эффекты              |
| `/elo give/take <игрок> <сумма>`   | Управление Elo                          |
| `/shopitems_add <игрок> <предмет>` | Добавить предмет игроку                 |
| `/reset_all <игрок>`               | Полный сброс статистики                 |
| `/border_set <размер>`             | Установить границу                      |
| `/border_shrink <размер> <время>`  | Сжать границу                           |
| `/border_reset`                    | Сброс границы                           |
| `/help-admin`                      | Справка по админ-командам               |

---

## 📋 Плейсхолдеры (PlaceholderAPI)

Используйте префикс `skript_`:

| Placeholder              | Описание                      |
|--------------------------|-------------------------------|
| `%skript_kills%`         | Кол-во убийств                |
| `%skript_killstreak%`    | Серия убийств                 |
| `%skript_winner%`        | Победитель текущей игры       |
| `%skript_alive%`         | Живые игроки сейчас           |
| `%skript_elo_rank%`      | Ранг по Elo                   |
| `%skript_elo%`           | Текущий Elo                   |

---

## ⚠️ Примечания

- Проверьте координаты телепортации (лобби, арена, граница) перед запуском
- **Vault обязателен** для работы экономики и ставок
- **Рекомендуется** тестировать хаотичные эффекты и границу на небольшой группе игроков

---

## 🤝 Контрибьюторы

- **Zorahm** — основной разработчик

Хочешь внести вклад? Присылай [issue](https://git.zorahm.ru/FL/skypvp/issues) или pull request! 💡

---

## 📜 Лицензия

Проект распространяется по лицензии **MIT** — свободно используйте и модифицируйте, но не забывайте указывать авторство. 😊